package uam.patrones.grasp.operaciones;

import java.util.LinkedList;

import uam.patrones.grasp.clases.Alumno;
import uam.patrones.grasp.clases.Uea;

public class ServiciosAlumnoUea {

	
	
	public Alumno consultarDatosAlumno(String matricula,Alumno alumno) {
		
		OperacionesBaseDatos base = new OperacionesBaseDatos();
		base.abrirConexion();
		alumno = base.consultarAlumno("matricula");
		return alumno;
	}
	
	public LinkedList<Uea> consultarTiraMaterias(String matricula, Alumno alumno){
		
		OperacionesBaseDatos base = new OperacionesBaseDatos();
		alumno = consultarDatosAlumno(matricula,alumno);
		base.abrirConexion();
		LinkedList<Uea>listaUea = base.listaUeas(alumno);
		return listaUea;
	}
	
	public Uea consultarUea(String clave, Uea uea) {
		OperacionesBaseDatos base = new OperacionesBaseDatos();
		base.abrirConexion();
		uea = base.consultarUea(clave);
		return uea;
	}
}
